/* eslint-disable spellcheck/spell-checker */
const pkg = require('./package.json')

const version = parseFloat(process.version.substr(1))
const minimum = parseFloat(pkg.engines.node.match(/\d+/g).join('.'))

module.exports = function () {
  const message = `
        Thanks for installing parse server datatable query builder 🙏
  `
  process.stdout.write(message)
  if (version >= minimum) {
    process.exit(0)
  }
  const errorMessage = `
    ⚠️  parse-server-datatable requires at least node@${minimum}!
    You have node@${version}
  `
  process.stdout.write(errorMessage)
  process.exit(1)
}
